weka.core.pmml.jaxbbindings

## Enum MULTIPLEMODELMETHOD

- java.lang.Object
- - java.lang.Enum<MULTIPLEMODELMETHOD>
  - - weka.core.pmml.jaxbbindings.MULTIPLEMODELMETHOD

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<MULTIPLEMODELMETHOD>

      public enum MULTIPLEMODELMETHOD
      extends java.lang.Enum<MULTIPLEMODELMETHOD>

  Java class for MULTIPLE-MODEL-METHOD.

  The following schema fragment specifies the expected content contained within this class.

       <simpleType name="MULTIPLE-MODEL-METHOD">
         <restriction base="{http://www.w3.org/2001/XMLSchema}string">
           <enumeration value="majorityVote"/>
           <enumeration value="weightedMajorityVote"/>
           <enumeration value="average"/>
           <enumeration value="weightedAverage"/>
           <enumeration value="median"/>
           <enumeration value="max"/>
           <enumeration value="sum"/>
           <enumeration value="selectFirst"/>
           <enumeration value="selectAll"/>
           <enumeration value="modelChain"/>
         </restriction>
       </simpleType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AVERAGE`
    `MAJORITY_VOTE`
    `MAX`
    `MEDIAN`
    `MODEL_CHAIN`
    `SELECT_ALL`
    `SELECT_FIRST`
    `SUM`
    `WEIGHTED_AVERAGE`
    `WEIGHTED_MAJORITY_VOTE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MULTIPLEMODELMETHOD` | `fromValue(java.lang.String v)`
    `java.lang.String` | `value()`
    `static MULTIPLEMODELMETHOD` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static MULTIPLEMODELMETHOD[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AVERAGE

          public static final MULTIPLEMODELMETHOD AVERAGE

    - #### MAJORITY_VOTE

          public static final MULTIPLEMODELMETHOD MAJORITY_VOTE

    - #### MAX

          public static final MULTIPLEMODELMETHOD MAX

    - #### MEDIAN

          public static final MULTIPLEMODELMETHOD MEDIAN

    - #### MODEL_CHAIN

          public static final MULTIPLEMODELMETHOD MODEL_CHAIN

    - #### SELECT_ALL

          public static final MULTIPLEMODELMETHOD SELECT_ALL

    - #### SELECT_FIRST

          public static final MULTIPLEMODELMETHOD SELECT_FIRST

    - #### SUM

          public static final MULTIPLEMODELMETHOD SUM

    - #### WEIGHTED_AVERAGE

          public static final MULTIPLEMODELMETHOD WEIGHTED_AVERAGE

    - #### WEIGHTED_MAJORITY_VOTE

          public static final MULTIPLEMODELMETHOD WEIGHTED_MAJORITY_VOTE

  - ### Method Detail

    - #### values

          public static MULTIPLEMODELMETHOD[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MULTIPLEMODELMETHOD c : MULTIPLEMODELMETHOD.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MULTIPLEMODELMETHOD valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### value

          public java.lang.String value()

    - #### fromValue

          public static MULTIPLEMODELMETHOD fromValue(java.lang.String v)